%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Summary:	python module for handling audio metadata
Name:		python26-mutagen
Version:	1.15
Release:	2
BuildArch:	i686
License:	GNU/GPL
URL:		http://www.sacredchao.net/quodlibet/wiki/Development/Mutagen
Group:		Multimedia/Audio
Source0:	mutagen-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

#Automatically resolved build dependencies
BuildRequires: python26-devel

Provides:	mutagen = %{version}-%{release}
Obsoletes:	mutagen <= %{version}-%{release}

%description
Mutagen is a Python module to handle audio metadata.
It supports:

 FLAC, M4A, Musepack, MP3, Ogg FLAC, Ogg Speex,
 Ogg Theora, Ogg Vorbis, True Audio, and WavPack audio files.

All versions of ID3v2 are supported, and all
standard ID3v2.4 frames are parsed.
It can read Xing headers to accurately calculate the bitrate and length of MP3s.
ID3 and APEv2 tags can be edited regardless of audio format.
It can also manipulate Ogg streams on an individual packet/page level.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n mutagen-%{version}

%build
/usr/bin/python%{PYVER} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
/usr/bin/python%{PYVER} setup.py install -O1 --skip-build --root="$RPM_BUILD_ROOT" --prefix="%{_prefix}"

%files
%defattr(-,root,root)
%_bindir
%{python_sitelib}
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 20 2009 Christian Metzen <metzench@ccux-linux.de> 1.15-2
- python 2.6
- rename package to python26-mutagen
* Mon May 11 2009 Christian Wasem <wasem@ccux-linux.de> 1.15-1
- Version update, build with explicit /usr/bin/python2.5
* Sun May 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.11-1
- Version update
* Mon Mar 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.10.1-1
- Initial Release
